<template>
  <div class="dibs--home--docs--elem" :data-open="open">
    <div class="dibs--home--docs--action" @click="toggle">
      <dibs-picto-cross-light />
    </div>
    <div class="dibs--home--docs--title" @click="toggle">{{ title }}</div>
    <!-- eslint-disable-next-line vue/no-v-html -->
    <p v-html="html" />
  </div>
</template>
<script>
export default {
  props: {
    title: {
      type: [String],
      required: true,
    },
    html: {
      type: [String],
      required: true,
    },
    isOpen: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      open: this.isOpen,
    };
  },
  methods: {
    toggle: function () {
      this.open = !this.open;
    },
  },
};
</script>
